aboutsummaryrefslogtreecommitdiff
path: root/src/gnump3d/gnump3d
diff options
context:
space:
mode:
Diffstat (limited to 'src/gnump3d/gnump3d')
-rwxr-xr-xsrc/gnump3d/gnump3d46
1 files changed, 46 insertions, 0 deletions
diff --git a/src/gnump3d/gnump3d b/src/gnump3d/gnump3d
new file mode 100755
index 0000000..f6a3304
--- /dev/null
+++ b/src/gnump3d/gnump3d
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+get_gnump3d_pid() {
+ ps -C gnump3d -o pid= -o args= | grep /usr/bin/gnump3d | awk '{print $1}' | tr '\n' ' '
+}
+
+case "$1" in
+ start)
+ stat_busy "Starting GNUMP3d Streaming Server"
+ [ "x$(get_gnump3d_pid)" == "x" ] && /usr/bin/gnump3d --quiet --background &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon gnump3d
+ stat_done
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping GNUMP3d Streaming Server"
+ for PID in $(get_gnump3d_pid) ; do
+ kill $PID 2> /dev/null
+ done
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon gnump3d
+ stat_done
+ fi
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+
+exit 0
+